geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim McConnell <tim.mcco...@gmail.com>
Subject Re: problems when deploy ejb in eclipse
Date Fri, 16 Nov 2007 04:17:36 GMT
Hi Justin, I apologize for the delay getting back to you. Thanks much for 
sending me your workspace. I was able to import it into my Eclipse installation 
(GEP 2.0.0 and Geronimo 2.0.2) by updating the JRE to 5.0, installing XDoclet 
1.2.3, and using the appropriate facets. This is good I feel--so now I am the 
exact point you are with the JSP compile error when invoking your JSP. I'll get 
this fixed tomorrow morning and show you the changes I had to make. Thanks much....


beyondjusitn wrote:
> Hi,
> Thanks a lot for your reply.
> 
> Just as you said, I updated to the new release of all the environment. Some
> problems were fixed. But some new ones came up.
> 
> I really appreciate if you could help me out. In deed, there isn't much, I
> think.
> 
> I try to create an EJB in Eclipse, and deploy it on geronimo. Then write a
> dynamic web project to test it. What I did are as follows:
> 
> 1. Create an ejb project.  
>     Target Runtime--Apache geronimo 2.0
>     Configuration--EJB Project with XDoclet
> 
>     Click next
> 2. select "Geronimo Deployment 1.1", then click finish.
> 3. after that, I followed this tutorial.  
> http://roseindia.net/ejb/ejbtutorial/building_a_simple_ejb_application.shtml
> 
> But, when I try the test.jsp, it said 
> 
> HTTP ERROR: 500
> Unable to compile class for JSP: 
> 
> An error occurred at line: 13 in the jsp file: /test.jsp
> com.tutorial.Hello cannot be resolved to a type
> 
> Why? I've add the TestEJB to the build path.
> 
> Thank you very much.^_^
> 
> Jacek Laskowski wrote:
>>
>> <Hi,
>>
>> <Not that it sorts out the issue, but could you upgrade your
>> <environment to Eclipse 3.3.1, Geronimo Eclipse Plugin 2.0.0 and
>> <Geronimo 2.0.2? I'm not certain what exactly issues were faced, but
>> <WTP in Eclise 3.3 made us some troubles that were fixed with the
>> <recent versions. You may find the ant script (see Prerequisites on
>> <Welcome to Apache Geronimo Development Tools Subproject [1]) very<
>>
>> <Jacek
>>
>> <[1] http://geronimo.apache.org/development-tools.html
>>
>>
>>
> http://www.nabble.com/file/p13705766/1.jpg 

-- 
Thanks,
Tim McConnell

Mime
View raw message